import request from '@/utils/request'

export function searchCategory(data) {
  return request({
    url: '/project/category/search',
    method: 'post',
    data
  })
}


export function createCategory(data) {
  return request({
    url: '/project/category/create',
    method: 'post',
    data
  })
}



export function updateCategory(data) {
  return request({
    url: '/project/category/update',
    method: 'post',
    data
  })
}


export function getCategoryInfo(data) {
  return request({
    url: '/project/category/info',
    method: 'post',
    data
  })
}



export function deleteCategory(data) {
  return request({
    url: '/project/category/delete',
    method: 'post',
    data
  })
}



// 项目相关

export function searchProject(data) {
  return request({
    url: '/project/search',
    method: 'post',
    data
  })
}


export function createProject(data) {
  return request({
    url: '/project/create',
    method: 'post',
    data
  })
}



export function updateProject(data) {
  return request({
    url: '/project/update',
    method: 'post',
    data
  })
}


export function getProjectInfo(data) {
  return request({
    url: '/project/info',
    method: 'post',
    data
  })
}



export function deleteProject(data) {
  return request({
    url: '/project/delete',
    method: 'post',
    data
  })
}





